"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanUpAgents = void 0;
const stripJsonComments = require("strip-json-comments");
const environment_1 = require("../../utilities/environment");
const fs_1 = require("fs");
const { output, workspaceRoot } = require('../../utilities/nx-imports');
function cleanUpAgents() {
    return __awaiter(this, void 0, void 0, function* () {
        const options = JSON.parse(stripJsonComments((0, fs_1.readFileSync)(`${workspaceRoot}/nx.json`).toString())).tasksRunnerOptions.default.options;
        const cacheDirectory = options.cacheDirectory || './node_modules/.cache/nx';
        const lockFileDirectory = `${cacheDirectory}/lockfiles`;
        if (environment_1.VERBOSE_LOGGING) {
            output.note({
                title: `Cleaning up agent metadata for this workspace.`,
            });
        }
        return (0, fs_1.rm)(lockFileDirectory, { recursive: true, force: true }, (err) => {
            if (err)
                throw err;
        });
    });
}
exports.cleanUpAgents = cleanUpAgents;
//# sourceMappingURL=clean-up-agents.js.map