"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startCiRun = void 0;
const stripJsonComments = require("strip-json-comments");
const environment_1 = require("../../utilities/environment");
const print_run_group_error_1 = require("../error/print-run-group-error");
const run_group_api_1 = require("../api/run-group.api");
const fs_1 = require("fs");
const yargsParser = require("yargs-parser");
const { output, workspaceRoot } = require('../../utilities/nx-imports');
const args = yargsParser(process.argv, {
    boolean: ['stop-agents-on-failure'],
    number: ['agent-count', 'command-count'],
});
function startCiRun() {
    return __awaiter(this, void 0, void 0, function* () {
        const branch = (0, environment_1.getBranch)();
        const runGroup = (0, environment_1.getRunGroup)();
        if (!runGroup) {
            (0, print_run_group_error_1.printRunGroupError)();
            process.exit(1);
        }
        if (environment_1.VERBOSE_LOGGING) {
            output.note({
                title: `Creating run group ${runGroup}`,
            });
        }
        const options = JSON.parse(stripJsonComments((0, fs_1.readFileSync)(`${workspaceRoot}/nx.json`).toString())).tasksRunnerOptions.default.options;
        const api = new run_group_api_1.RunGroupApi(options);
        console.log(args);
        yield api.createRunGroup(branch, runGroup, args.stopAgentsOnFailure, args.agentCount, args.commandCount);
    });
}
exports.startCiRun = startCiRun;
//# sourceMappingURL=start-ci-run.js.map